logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored by anyone.

Your donations will help to keep this site alive and well, and continuing the building of the binaries.



Mod_security 2.9.1 VC14 available

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2448
Location: Hilversum, NL, EU

PostPosted: Sun 10 Apr '16 15:29    Post subject: Mod_security 2.9.1 VC14 available Reply with quote

Build with libxml2-2.9.3 lua-5.1.5 pcre-8.38 yajl-2.1.0 curl-7.48.0

Changes see: https://github.com/SpiderLabs/ModSecurity/blob/master/CHANGES

Documentation at http://www.modsecurity.org/documentation.html

Only available for VC14.

Do not forget to copy yajl.dll and libcurl.dll to the apache /bin folder !

Notes:

Build with the JSON request body parser using YAJL ( http://lloyd.github.io/yajl/ )

Build with pcre JIT (Just-in-Time optimization) enabled.

Curl is a dependency, this because the directive 'SecRemoteRules' is activated, this allows you to specify a HTTPS served file that may contain rules in the SecRule format to be loaded into your ModSecurity instance.

Enjoy,

Steffen
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1